<html>
<head>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/vis/4.16.1/vis.css" type="text/css" />
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/vis/4.16.1/vis-network.min.js"> </script>
<center>
<h1></h1>
</center>

<!-- <link rel="stylesheet" href="../node_modules/vis/dist/vis.min.css" type="text/css" />
<script type="text/javascript" src="../node_modules/vis/dist/vis.js"> </script>-->

<style type="text/css">

        #mynetwork {
            width: 500px;
            height: 500px;
            background-color: #ffffff;
            border: 1px solid lightgray;
            position: relative;
            float: left;
        }

        
        #loadingBar {
            position:absolute;
            top:0px;
            left:0px;
            width: 500px;
            height: 500px;
            background-color:rgba(200,200,200,0.8);
            -webkit-transition: all 0.5s ease;
            -moz-transition: all 0.5s ease;
            -ms-transition: all 0.5s ease;
            -o-transition: all 0.5s ease;
            transition: all 0.5s ease;
            opacity:1;
        }

        #bar {
            position:absolute;
            top:0px;
            left:0px;
            width:20px;
            height:20px;
            margin:auto auto auto auto;
            border-radius:11px;
            border:2px solid rgba(30,30,30,0.05);
            background: rgb(0, 173, 246); /* Old browsers */
            box-shadow: 2px 0px 4px rgba(0,0,0,0.4);
        }

        #border {
            position:absolute;
            top:10px;
            left:10px;
            width:500px;
            height:23px;
            margin:auto auto auto auto;
            box-shadow: 0px 0px 4px rgba(0,0,0,0.2);
            border-radius:10px;
        }

        #text {
            position:absolute;
            top:8px;
            left:530px;
            width:30px;
            height:50px;
            margin:auto auto auto auto;
            font-size:22px;
            color: #000000;
        }

        div.outerBorder {
            position:relative;
            top:400px;
            width:600px;
            height:44px;
            margin:auto auto auto auto;
            border:8px solid rgba(0,0,0,0.1);
            background: rgb(252,252,252); /* Old browsers */
            background: -moz-linear-gradient(top,  rgba(252,252,252,1) 0%, rgba(237,237,237,1) 100%); /* FF3.6+ */
            background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(252,252,252,1)), color-stop(100%,rgba(237,237,237,1))); /* Chrome,Safari4+ */
            background: -webkit-linear-gradient(top,  rgba(252,252,252,1) 0%,rgba(237,237,237,1) 100%); /* Chrome10+,Safari5.1+ */
            background: -o-linear-gradient(top,  rgba(252,252,252,1) 0%,rgba(237,237,237,1) 100%); /* Opera 11.10+ */
            background: -ms-linear-gradient(top,  rgba(252,252,252,1) 0%,rgba(237,237,237,1) 100%); /* IE10+ */
            background: linear-gradient(to bottom,  rgba(252,252,252,1) 0%,rgba(237,237,237,1) 100%); /* W3C */
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fcfcfc', endColorstr='#ededed',GradientType=0 ); /* IE6-9 */
            border-radius:72px;
            box-shadow: 0px 0px 10px rgba(0,0,0,0.2);
        }
        

        

        
</style>

</head>

<body>
<div id = "mynetwork"></div>

<div id="loadingBar">
    <div class="outerBorder">
        <div id="text">0%</div>
        <div id="border">
            <div id="bar"></div>
        </div>
    </div>
</div>


<script type="text/javascript">

    // initialize global variables.
    var edges;
    var nodes;
    var network; 
    var container;
    var options, data;

    
    // This method is responsible for drawing the graph, returns the drawn network
    function drawGraph() {
        var container = document.getElementById('mynetwork');
        
        

        // parsing and collecting nodes and edges from the python
        nodes = new vis.DataSet([{"id": 3, "label": 3, "shape": "dot", "size": 10}, {"id": 815, "label": 815, "shape": "dot", "size": 10}, {"id": 20, "label": 20, "shape": "dot", "size": 10}, {"id": 21, "label": 21, "shape": "dot", "size": 10}, {"id": 27, "label": 27, "shape": "dot", "size": 10}, {"id": 335, "label": 335, "shape": "dot", "size": 10}, {"id": 30, "label": 30, "shape": "dot", "size": 10}, {"id": 121, "label": 121, "shape": "dot", "size": 10}, {"id": 665, "label": 665, "shape": "dot", "size": 10}, {"id": 216, "label": 216, "shape": "dot", "size": 10}, {"id": 279, "label": 279, "shape": "dot", "size": 10}, {"id": 40, "label": 40, "shape": "dot", "size": 10}, {"id": 81, "label": 81, "shape": "dot", "size": 10}, {"id": 110, "label": 110, "shape": "dot", "size": 10}, {"id": 55, "label": 55, "shape": "dot", "size": 10}, {"id": 234, "label": 234, "shape": "dot", "size": 10}, {"id": 57, "label": 57, "shape": "dot", "size": 10}, {"id": 377, "label": 377, "shape": "dot", "size": 10}, {"id": 702, "label": 702, "shape": "dot", "size": 10}, {"id": 63, "label": 63, "shape": "dot", "size": 10}, {"id": 149, "label": 149, "shape": "dot", "size": 10}, {"id": 85, "label": 85, "shape": "dot", "size": 10}, {"id": 750, "label": 750, "shape": "dot", "size": 10}, {"id": 89, "label": 89, "shape": "dot", "size": 10}, {"id": 413, "label": 413, "shape": "dot", "size": 10}, {"id": 112, "label": 112, "shape": "dot", "size": 10}, {"id": 358, "label": 358, "shape": "dot", "size": 10}, {"id": 669, "label": 669, "shape": "dot", "size": 10}, {"id": 113, "label": 113, "shape": "dot", "size": 10}, {"id": 524, "label": 524, "shape": "dot", "size": 10}, {"id": 120, "label": 120, "shape": "dot", "size": 10}, {"id": 703, "label": 703, "shape": "dot", "size": 10}, {"id": 270, "label": 270, "shape": "dot", "size": 10}, {"id": 124, "label": 124, "shape": "dot", "size": 10}, {"id": 559, "label": 559, "shape": "dot", "size": 10}, {"id": 132, "label": 132, "shape": "dot", "size": 10}, {"id": 134, "label": 134, "shape": "dot", "size": 10}, {"id": 186, "label": 186, "shape": "dot", "size": 10}, {"id": 191, "label": 191, "shape": "dot", "size": 10}, {"id": 189, "label": 189, "shape": "dot", "size": 10}, {"id": 515, "label": 515, "shape": "dot", "size": 10}, {"id": 200, "label": 200, "shape": "dot", "size": 10}, {"id": 456, "label": 456, "shape": "dot", "size": 10}, {"id": 206, "label": 206, "shape": "dot", "size": 10}, {"id": 504, "label": 504, "shape": "dot", "size": 10}, {"id": 929, "label": 929, "shape": "dot", "size": 10}, {"id": 738, "label": 738, "shape": "dot", "size": 10}, {"id": 218, "label": 218, "shape": "dot", "size": 10}, {"id": 405, "label": 405, "shape": "dot", "size": 10}, {"id": 785, "label": 785, "shape": "dot", "size": 10}, {"id": 222, "label": 222, "shape": "dot", "size": 10}, {"id": 220, "label": 220, "shape": "dot", "size": 10}, {"id": 621, "label": 621, "shape": "dot", "size": 10}, {"id": 231, "label": 231, "shape": "dot", "size": 10}, {"id": 388, "label": 388, "shape": "dot", "size": 10}, {"id": 251, "label": 251, "shape": "dot", "size": 10}, {"id": 292, "label": 292, "shape": "dot", "size": 10}, {"id": 268, "label": 268, "shape": "dot", "size": 10}, {"id": 613, "label": 613, "shape": "dot", "size": 10}, {"id": 269, "label": 269, "shape": "dot", "size": 10}, {"id": 588, "label": 588, "shape": "dot", "size": 10}, {"id": 966, "label": 966, "shape": "dot", "size": 10}, {"id": 617, "label": 617, "shape": "dot", "size": 10}, {"id": 276, "label": 276, "shape": "dot", "size": 10}, {"id": 622, "label": 622, "shape": "dot", "size": 10}, {"id": 280, "label": 280, "shape": "dot", "size": 10}, {"id": 611, "label": 611, "shape": "dot", "size": 10}, {"id": 977, "label": 977, "shape": "dot", "size": 10}, {"id": 289, "label": 289, "shape": "dot", "size": 10}, {"id": 612, "label": 612, "shape": "dot", "size": 10}, {"id": 296, "label": 296, "shape": "dot", "size": 10}, {"id": 651, "label": 651, "shape": "dot", "size": 10}, {"id": 438, "label": 438, "shape": "dot", "size": 10}, {"id": 302, "label": 302, "shape": "dot", "size": 10}, {"id": 677, "label": 677, "shape": "dot", "size": 10}, {"id": 308, "label": 308, "shape": "dot", "size": 10}, {"id": 674, "label": 674, "shape": "dot", "size": 10}, {"id": 309, "label": 309, "shape": "dot", "size": 10}, {"id": 601, "label": 601, "shape": "dot", "size": 10}, {"id": 768, "label": 768, "shape": "dot", "size": 10}, {"id": 312, "label": 312, "shape": "dot", "size": 10}, {"id": 313, "label": 313, "shape": "dot", "size": 10}, {"id": 316, "label": 316, "shape": "dot", "size": 10}, {"id": 673, "label": 673, "shape": "dot", "size": 10}, {"id": 321, "label": 321, "shape": "dot", "size": 10}, {"id": 496, "label": 496, "shape": "dot", "size": 10}, {"id": 858, "label": 858, "shape": "dot", "size": 10}, {"id": 323, "label": 323, "shape": "dot", "size": 10}, {"id": 443, "label": 443, "shape": "dot", "size": 10}, {"id": 498, "label": 498, "shape": "dot", "size": 10}, {"id": 439, "label": 439, "shape": "dot", "size": 10}, {"id": 863, "label": 863, "shape": "dot", "size": 10}, {"id": 325, "label": 325, "shape": "dot", "size": 10}, {"id": 951, "label": 951, "shape": "dot", "size": 10}, {"id": 587, "label": 587, "shape": "dot", "size": 10}, {"id": 328, "label": 328, "shape": "dot", "size": 10}, {"id": 449, "label": 449, "shape": "dot", "size": 10}, {"id": 340, "label": 340, "shape": "dot", "size": 10}, {"id": 769, "label": 769, "shape": "dot", "size": 10}, {"id": 904, "label": 904, "shape": "dot", "size": 10}, {"id": 346, "label": 346, "shape": "dot", "size": 10}, {"id": 343, "label": 343, "shape": "dot", "size": 10}, {"id": 771, "label": 771, "shape": "dot", "size": 10}, {"id": 905, "label": 905, "shape": "dot", "size": 10}, {"id": 749, "label": 749, "shape": "dot", "size": 10}, {"id": 821, "label": 821, "shape": "dot", "size": 10}, {"id": 359, "label": 359, "shape": "dot", "size": 10}, {"id": 722, "label": 722, "shape": "dot", "size": 10}, {"id": 385, "label": 385, "shape": "dot", "size": 10}, {"id": 604, "label": 604, "shape": "dot", "size": 10}, {"id": 949, "label": 949, "shape": "dot", "size": 10}, {"id": 386, "label": 386, "shape": "dot", "size": 10}, {"id": 796, "label": 796, "shape": "dot", "size": 10}, {"id": 390, "label": 390, "shape": "dot", "size": 10}, {"id": 391, "label": 391, "shape": "dot", "size": 10}, {"id": 396, "label": 396, "shape": "dot", "size": 10}, {"id": 397, "label": 397, "shape": "dot", "size": 10}, {"id": 400, "label": 400, "shape": "dot", "size": 10}, {"id": 401, "label": 401, "shape": "dot", "size": 10}, {"id": 403, "label": 403, "shape": "dot", "size": 10}, {"id": 451, "label": 451, "shape": "dot", "size": 10}, {"id": 404, "label": 404, "shape": "dot", "size": 10}, {"id": 687, "label": 687, "shape": "dot", "size": 10}, {"id": 408, "label": 408, "shape": "dot", "size": 10}, {"id": 533, "label": 533, "shape": "dot", "size": 10}, {"id": 422, "label": 422, "shape": "dot", "size": 10}, {"id": 423, "label": 423, "shape": "dot", "size": 10}, {"id": 426, "label": 426, "shape": "dot", "size": 10}, {"id": 427, "label": 427, "shape": "dot", "size": 10}, {"id": 434, "label": 434, "shape": "dot", "size": 10}, {"id": 619, "label": 619, "shape": "dot", "size": 10}, {"id": 440, "label": 440, "shape": "dot", "size": 10}, {"id": 997, "label": 997, "shape": "dot", "size": 10}, {"id": 467, "label": 467, "shape": "dot", "size": 10}, {"id": 468, "label": 468, "shape": "dot", "size": 10}, {"id": 475, "label": 475, "shape": "dot", "size": 10}, {"id": 531, "label": 531, "shape": "dot", "size": 10}, {"id": 479, "label": 479, "shape": "dot", "size": 10}, {"id": 832, "label": 832, "shape": "dot", "size": 10}, {"id": 501, "label": 501, "shape": "dot", "size": 10}, {"id": 596, "label": 596, "shape": "dot", "size": 10}, {"id": 908, "label": 908, "shape": "dot", "size": 10}, {"id": 514, "label": 514, "shape": "dot", "size": 10}, {"id": 819, "label": 819, "shape": "dot", "size": 10}, {"id": 534, "label": 534, "shape": "dot", "size": 10}, {"id": 535, "label": 535, "shape": "dot", "size": 10}, {"id": 549, "label": 549, "shape": "dot", "size": 10}, {"id": 552, "label": 552, "shape": "dot", "size": 10}, {"id": 584, "label": 584, "shape": "dot", "size": 10}, {"id": 695, "label": 695, "shape": "dot", "size": 10}, {"id": 594, "label": 594, "shape": "dot", "size": 10}, {"id": 614, "label": 614, "shape": "dot", "size": 10}, {"id": 648, "label": 648, "shape": "dot", "size": 10}, {"id": 675, "label": 675, "shape": "dot", "size": 10}, {"id": 779, "label": 779, "shape": "dot", "size": 10}, {"id": 636, "label": 636, "shape": "dot", "size": 10}, {"id": 637, "label": 637, "shape": "dot", "size": 10}, {"id": 644, "label": 644, "shape": "dot", "size": 10}, {"id": 647, "label": 647, "shape": "dot", "size": 10}, {"id": 659, "label": 659, "shape": "dot", "size": 10}, {"id": 830, "label": 830, "shape": "dot", "size": 10}, {"id": 691, "label": 691, "shape": "dot", "size": 10}, {"id": 693, "label": 693, "shape": "dot", "size": 10}, {"id": 755, "label": 755, "shape": "dot", "size": 10}, {"id": 758, "label": 758, "shape": "dot", "size": 10}, {"id": 777, "label": 777, "shape": "dot", "size": 10}, {"id": 827, "label": 827, "shape": "dot", "size": 10}, {"id": 791, "label": 791, "shape": "dot", "size": 10}, {"id": 792, "label": 792, "shape": "dot", "size": 10}, {"id": 811, "label": 811, "shape": "dot", "size": 10}, {"id": 812, "label": 812, "shape": "dot", "size": 10}, {"id": 829, "label": 829, "shape": "dot", "size": 10}, {"id": 898, "label": 898, "shape": "dot", "size": 10}, {"id": 848, "label": 848, "shape": "dot", "size": 10}, {"id": 875, "label": 875, "shape": "dot", "size": 10}, {"id": 849, "label": 849, "shape": "dot", "size": 10}, {"id": 850, "label": 850, "shape": "dot", "size": 10}, {"id": 885, "label": 885, "shape": "dot", "size": 10}, {"id": 886, "label": 886, "shape": "dot", "size": 10}, {"id": 861, "label": 861, "shape": "dot", "size": 10}, {"id": 862, "label": 862, "shape": "dot", "size": 10}, {"id": 880, "label": 880, "shape": "dot", "size": 10}, {"id": 916, "label": 916, "shape": "dot", "size": 10}, {"id": 892, "label": 892, "shape": "dot", "size": 10}, {"id": 893, "label": 893, "shape": "dot", "size": 10}, {"id": 924, "label": 924, "shape": "dot", "size": 10}, {"id": 925, "label": 925, "shape": "dot", "size": 10}, {"id": 952, "label": 952, "shape": "dot", "size": 10}, {"id": 960, "label": 960, "shape": "dot", "size": 10}, {"id": 989, "label": 989, "shape": "dot", "size": 10}, {"id": 990, "label": 990, "shape": "dot", "size": 10}]);
        edges = new vis.DataSet([{"from": 3, "to": 815, "weight": 0.5}, {"from": 20, "to": 21, "weight": 0.5294117647058824}, {"from": 27, "to": 335, "weight": 0.5333333333333333}, {"from": 30, "to": 121, "weight": 0.5454545454545454}, {"from": 30, "to": 665, "weight": 0.5}, {"from": 121, "to": 216, "weight": 0.5}, {"from": 121, "to": 279, "weight": 0.5}, {"from": 40, "to": 81, "weight": 0.6842105263157895}, {"from": 40, "to": 110, "weight": 0.631578947368421}, {"from": 81, "to": 110, "weight": 0.7222222222222222}, {"from": 55, "to": 234, "weight": 0.6666666666666666}, {"from": 57, "to": 377, "weight": 0.5384615384615384}, {"from": 377, "to": 702, "weight": 0.5}, {"from": 63, "to": 149, "weight": 0.5}, {"from": 85, "to": 750, "weight": 0.8333333333333334}, {"from": 89, "to": 413, "weight": 0.5}, {"from": 112, "to": 358, "weight": 0.7777777777777778}, {"from": 112, "to": 669, "weight": 0.7777777777777778}, {"from": 358, "to": 669, "weight": 0.7777777777777778}, {"from": 113, "to": 524, "weight": 0.5882352941176471}, {"from": 120, "to": 703, "weight": 0.5}, {"from": 279, "to": 270, "weight": 0.5}, {"from": 124, "to": 559, "weight": 1.0}, {"from": 132, "to": 134, "weight": 0.7333333333333333}, {"from": 186, "to": 191, "weight": 0.625}, {"from": 189, "to": 515, "weight": 0.5}, {"from": 200, "to": 456, "weight": 0.75}, {"from": 206, "to": 504, "weight": 0.5384615384615384}, {"from": 206, "to": 929, "weight": 0.6}, {"from": 504, "to": 738, "weight": 0.5}, {"from": 504, "to": 929, "weight": 0.5384615384615384}, {"from": 218, "to": 405, "weight": 0.5}, {"from": 218, "to": 785, "weight": 0.8}, {"from": 405, "to": 222, "weight": 0.5}, {"from": 220, "to": 621, "weight": 0.5}, {"from": 231, "to": 388, "weight": 0.631578947368421}, {"from": 251, "to": 292, "weight": 0.5}, {"from": 268, "to": 613, "weight": 1.0}, {"from": 269, "to": 588, "weight": 0.5}, {"from": 269, "to": 966, "weight": 0.6666666666666666}, {"from": 588, "to": 617, "weight": 0.5384615384615384}, {"from": 276, "to": 622, "weight": 0.6666666666666666}, {"from": 280, "to": 611, "weight": 0.5454545454545454}, {"from": 611, "to": 977, "weight": 0.5}, {"from": 289, "to": 612, "weight": 0.6666666666666666}, {"from": 296, "to": 651, "weight": 0.6428571428571429}, {"from": 651, "to": 438, "weight": 0.5}, {"from": 302, "to": 677, "weight": 0.8947368421052632}, {"from": 308, "to": 674, "weight": 0.55}, {"from": 309, "to": 601, "weight": 0.55}, {"from": 601, "to": 768, "weight": 0.5}, {"from": 312, "to": 313, "weight": 0.8235294117647058}, {"from": 316, "to": 673, "weight": 0.5909090909090909}, {"from": 321, "to": 496, "weight": 0.5833333333333334}, {"from": 321, "to": 858, "weight": 0.5}, {"from": 496, "to": 858, "weight": 0.5384615384615384}, {"from": 323, "to": 443, "weight": 0.6111111111111112}, {"from": 323, "to": 498, "weight": 0.7333333333333333}, {"from": 443, "to": 498, "weight": 0.7058823529411765}, {"from": 498, "to": 439, "weight": 0.5}, {"from": 498, "to": 863, "weight": 0.5}, {"from": 325, "to": 951, "weight": 0.5}, {"from": 951, "to": 587, "weight": 0.5}, {"from": 328, "to": 449, "weight": 0.5}, {"from": 340, "to": 769, "weight": 0.5555555555555556}, {"from": 340, "to": 904, "weight": 1.0}, {"from": 769, "to": 346, "weight": 0.5}, {"from": 769, "to": 904, "weight": 0.5555555555555556}, {"from": 343, "to": 771, "weight": 0.5454545454545454}, {"from": 343, "to": 905, "weight": 0.5882352941176471}, {"from": 346, "to": 749, "weight": 0.5714285714285714}, {"from": 346, "to": 821, "weight": 0.7142857142857143}, {"from": 749, "to": 821, "weight": 0.5714285714285714}, {"from": 359, "to": 722, "weight": 0.75}, {"from": 385, "to": 604, "weight": 0.5}, {"from": 385, "to": 949, "weight": 0.5}, {"from": 386, "to": 796, "weight": 0.9166666666666666}, {"from": 390, "to": 391, "weight": 0.782608695652174}, {"from": 396, "to": 397, "weight": 0.7142857142857143}, {"from": 400, "to": 401, "weight": 0.6470588235294118}, {"from": 403, "to": 451, "weight": 0.5}, {"from": 404, "to": 687, "weight": 0.5}, {"from": 408, "to": 533, "weight": 0.5}, {"from": 422, "to": 423, "weight": 0.75}, {"from": 426, "to": 427, "weight": 0.8333333333333334}, {"from": 434, "to": 619, "weight": 0.5}, {"from": 439, "to": 863, "weight": 0.7777777777777778}, {"from": 440, "to": 997, "weight": 0.6666666666666666}, {"from": 467, "to": 468, "weight": 0.8}, {"from": 475, "to": 531, "weight": 0.6}, {"from": 479, "to": 832, "weight": 0.7777777777777778}, {"from": 501, "to": 596, "weight": 0.75}, {"from": 501, "to": 908, "weight": 0.6}, {"from": 596, "to": 908, "weight": 0.6}, {"from": 514, "to": 819, "weight": 1.0}, {"from": 534, "to": 535, "weight": 0.6666666666666666}, {"from": 549, "to": 552, "weight": 0.7857142857142857}, {"from": 584, "to": 695, "weight": 0.5}, {"from": 617, "to": 594, "weight": 0.5}, {"from": 594, "to": 977, "weight": 0.8}, {"from": 614, "to": 648, "weight": 0.5}, {"from": 648, "to": 675, "weight": 0.6666666666666666}, {"from": 648, "to": 779, "weight": 0.5}, {"from": 636, "to": 637, "weight": 0.5833333333333334}, {"from": 644, "to": 647, "weight": 0.7222222222222222}, {"from": 675, "to": 779, "weight": 0.5}, {"from": 659, "to": 830, "weight": 0.5384615384615384}, {"from": 691, "to": 693, "weight": 0.5333333333333333}, {"from": 755, "to": 758, "weight": 0.5}, {"from": 777, "to": 827, "weight": 0.5}, {"from": 791, "to": 792, "weight": 0.8}, {"from": 811, "to": 812, "weight": 0.5}, {"from": 829, "to": 898, "weight": 0.5}, {"from": 848, "to": 875, "weight": 0.5}, {"from": 849, "to": 850, "weight": 1.0}, {"from": 849, "to": 885, "weight": 0.5}, {"from": 849, "to": 886, "weight": 0.5}, {"from": 850, "to": 885, "weight": 0.5}, {"from": 850, "to": 886, "weight": 0.5}, {"from": 885, "to": 886, "weight": 0.8181818181818182}, {"from": 861, "to": 862, "weight": 1.0}, {"from": 880, "to": 916, "weight": 0.6666666666666666}, {"from": 892, "to": 893, "weight": 0.5714285714285714}, {"from": 924, "to": 925, "weight": 1.0}, {"from": 952, "to": 960, "weight": 0.5}, {"from": 989, "to": 990, "weight": 1.0}]);

        // adding nodes and edges to the graph
        data = {nodes: nodes, edges: edges};

        var options = {
    "configure": {
        "enabled": false
    },
    "edges": {
        "color": {
            "inherit": true
        },
        "smooth": {
            "enabled": false,
            "type": "continuous"
        }
    },
    "interaction": {
        "dragNodes": true,
        "hideEdgesOnDrag": false,
        "hideNodesOnDrag": false
    },
    "physics": {
        "enabled": true,
        "stabilization": {
            "enabled": true,
            "fit": true,
            "iterations": 1000,
            "onlyDynamicEdges": false,
            "updateInterval": 50
        }
    }
};
        
        

        

        network = new vis.Network(container, data, options);
	 
        


        
        network.on("stabilizationProgress", function(params) {
      		document.getElementById('loadingBar').removeAttribute("style");
	        var maxWidth = 496;
	        var minWidth = 20;
	        var widthFactor = params.iterations/params.total;
	        var width = Math.max(minWidth,maxWidth * widthFactor);

	        document.getElementById('bar').style.width = width + 'px';
	        document.getElementById('text').innerHTML = Math.round(widthFactor*100) + '%';
	    });
	    network.once("stabilizationIterationsDone", function() {
	        document.getElementById('text').innerHTML = '100%';
	        document.getElementById('bar').style.width = '496px';
	        document.getElementById('loadingBar').style.opacity = 0;
	        // really clean the dom element
	        setTimeout(function () {document.getElementById('loadingBar').style.display = 'none';}, 500);
	    });
        

        return network;

    }

    drawGraph();

</script>
</body>
</html>